package cz.senslog.fetch.senslog.telemetry;

import cz.senslog.connector.model.api.ProxySessionModel;

import java.time.OffsetDateTime;

public class SensLogTelemetrySession extends ProxySessionModel {

    private OffsetDateTime fromTime, toTime;
    private int offset;
    private boolean hasNext;

    public SensLogTelemetrySession(boolean isActive) {
        super(isActive);
        this.offset = 0;
        this.hasNext = false;
        this.fromTime = null;
        this.toTime = null;
    }

    public int getOffset() {
        return offset;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }

    public boolean hasNext() {
        return hasNext;
    }

    public boolean hasNotNext() {
        return !hasNext;
    }

    public void hasNext(boolean hasNext) {
        this.hasNext = hasNext;
    }

    public OffsetDateTime getFromTime() {
        return fromTime;
    }

    public void setFromTime(OffsetDateTime fromTime) {
        this.fromTime = fromTime;
    }

    public OffsetDateTime getToTime() {
        return toTime;
    }

    public void setToTime(OffsetDateTime toTime) {
        this.toTime = toTime;
    }
}
